Could not resolve all files for configuration ':app:debugCompileClasspath'


#1

Greetings. Faced a problem when compiling a project

Could not resolve all files for configuration ‘:app:debugCompileClasspath’.
[cordova] > Could not find any version that matches com.google.android.gms:strict-version-matcher-plugin:[15.0.0, 16.0.0).
[cordova] Versions that do not match:
[cordova] 1.1.0
[cordova] 1.0.3
[cordova] 1.0.2
[cordova] 1.0.1
[cordova] 1.0.0
[cordova] Required by:
[cordova] project :app > com.google.gms:google-services:4.2.0

Ionic Info
Ionic:

ionic (Ionic CLI) : 4.2.1 (C:\Users\Root\AppData\Roaming\npm\node_modules\ionic)
Ionic Framework : ionic-angular 3.9.2
@ionic/app-scripts : 3.2.0

Cordova:

cordova (Cordova CLI) : 8.1.2 (cordova-lib@8.1.1)
Cordova Platforms : android 7.0.0
Cordova Plugins : not available

System:

Android SDK Tools : 26.1.1 (C:\Users\Root\AppData\Local\Android\Sdk)
NodeJS : v10.7.0 (C:\Program Files\nodejs\node.exe)
npm : 6.4.1
OS : Windows 10

Who can help me solve this problem?


#2

I have the same problem. Who can help me solve this problem?


#3

Anyone with a clue yet?


#4

i have the same error


#5

i have the same error…


#6

Posted my fix here: